Skip to content

Rrm ​

5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getRrmSettingGETGet Rrm setting
modifyRrmSettingPUTModify Rrm setting
getRrmIncompatibleApsGETGet incompatible rrm ap list
getRrmSettingTemplateGETGet Rrm template setting
modifyRrmSettingTemplatePUTModify Rrm template setting

getRrmSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/rrm/config

Get Rrm setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getRrmSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get RRM setting
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

modifyRrmSetting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/rrm/config

Modify Rrm setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema RrmSettingOpenApiVO

FieldTypeRequiredDescription
modeintegeryesThe mode of Auto WLAN Optimization, such as: 0: disable, 1: adaptive
resourceintegernoThe anomaly event setting creation resource, such as: 0: new created, 1: from template, 2: override
timeRangeEnablebooleanyesWhether the Time Range is enabled. True: enable, false: disable.
timeRangeIdstringnoThis field represents Time Range Profile ID. Time Range Profile can be created using Create time range profile interface, and Time Range Profile ID can be obtained from Get time range profile list interface.
timeRangeActionintegernoThe Time Range Action, such as: 0: out of range, 1: in range
json
// omada_call_operation
{
  "operationId": "modifyRrmSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Rrm setting
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-34800 - No SSIDs are configured on the corresponding radio band.
-34803 - The AP is performing WLAN optimization. Please try again later.

getRrmIncompatibleAps ​

GET /openapi/v1/{omadacId}/sites/{siteId}/rrm/incompatible

Get incompatible rrm ap list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field name,mac
json
// omada_call_operation
{
  "operationId": "getRrmIncompatibleAps",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get incompatible rrm ap list
The interface requires one of the permissions:
Site Device Manager View Only
Network Config Page View Only

getRrmSettingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rrm/config

Get Rrm template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getRrmSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get RRM template setting
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

modifyRrmSettingTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rrm/config

Modify Rrm template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema RrmSettingOpenApiVO

FieldTypeRequiredDescription
modeintegeryesThe mode of Auto WLAN Optimization, such as: 0: disable, 1: adaptive
resourceintegernoThe anomaly event setting creation resource, such as: 0: new created, 1: from template, 2: override
timeRangeEnablebooleanyesWhether the Time Range is enabled. True: enable, false: disable.
timeRangeIdstringnoThis field represents Time Range Profile ID. Time Range Profile can be created using Create time range profile interface, and Time Range Profile ID can be obtained from Get time range profile list interface.
timeRangeActionintegernoThe Time Range Action, such as: 0: out of range, 1: in range
json
// omada_call_operation
{
  "operationId": "modifyRrmSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Rrm template setting
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.